# Конвертер из формата репозитария НРД в формат репозитария РТС

## Установка

1) Установить [IntelliJ IDEA CE](https://www.jetbrains.com/idea/).

2) Установить Scala/Sbt [плагин](https://www.jetbrains.com/help/idea/discover-intellij-idea-for-scala.html#scala_plugin).

## Импорт проекта

Импортировать проект.  <https://www.jetbrains.com/help/idea/sbt-support.html#import_sbt>

## Запуск проекта dev mode

1) Создать в корне проекта папку **output**.

2) Запуск из терминала
```
sbt "run input output"
или
sbt "~run input output"
```
3) Запуск из IDE.  <https://www.jetbrains.com/help/idea/discover-intellij-idea-for-scala.html#RunningDebugging>

4) Запуск тестов из терминала
```
sbt test
или
sbt ~test
```
## Запуск проекта production mode

1) Для отключения детального логгирования установить **debug = false** в src/main/resources/application.conf

2) Сборка проекта
```
sbt assembly
```
3) В target/scala-y.z появится converter.jar

4) Положить run.sh, run.bat, converter.jar, readme.txt, LICENSE.txt в отдельную папку

5) inputPath - путь к директории входящих сообщений. outputPath - путь к директории сконвертированных сообщений.

6) Запуск в *nix
```
./run.sh inputPath outputPath
```
7) Запуск в Windows
```
run inputPath outputPath
```

